Package org.osgi.framework.wiring.dto

# Class BundleRevisionDTO

java.lang.Object
org.osgi.dto.DTO
org.osgi.resource.dto.ResourceDTO
org.osgi.framework.wiring.dto.BundleRevisionDTO

public class BundleRevisionDTO extends ResourceDTO
Data Transfer Object for a BundleRevision.

An installed Bundle can be adapted to provide a `BundleRevisionDTO` for the current revision of the Bundle. `BundleRevisionDTO` objects for all in use revisions of the Bundle can be obtained by adapting the bundle to `BundleRevisionDTO[]`.

Author:
  $Id: BundleRevisionDTO.java 1614569 2014-07-30 07:22:32Z cziegeler $

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`bundle`
The id of the bundle associated with the bundle revision.
`String`
`symbolicName`
The symbolic name of the bundle revision.
`int`
`type`
The type of the bundle revision.
`String`
`version`
The version of the bundle revision.

### Fields inherited from class org.osgi.resource.dto.ResourceDTO

`capabilities, id, requirements`

## Constructor Summary

Constructors
Constructor
Description
`BundleRevisionDTO()`

## Method Summary

### Methods inherited from class org.osgi.dto.DTO

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### symbolicName

public String symbolicName
The symbolic name of the bundle revision.

See Also:
  - `BundleRevision.getSymbolicName()`

### type

public int type
The type of the bundle revision.

See Also:
  - `BundleRevision.getTypes()`

### version

public String version
The version of the bundle revision.

See Also:
  - `BundleRevision.getVersion()`

### bundle

public long bundle
The id of the bundle associated with the bundle revision.

See Also:
  - `BundleReference.getBundle()`

## Constructor Details

### BundleRevisionDTO

public BundleRevisionDTO()